Bug 180473 - Make GraphicsLayer::dumpProperties dump m_offsetFromRenderer
Summary: Make GraphicsLayer::dumpProperties dump m_offsetFromRenderer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords: InRadar
Depends on:
Blocks: 173833
  Show dependency treegraph
 
Reported: 2017-12-06 07:47 PST by Frédéric Wang (:fredw)
Modified: 2017-12-14 03:59 PST (History)
10 users (show)

See Also:


Attachments
WIP Patch (767 bytes, patch)
2017-12-06 07:48 PST, Frédéric Wang (:fredw)
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews116 for mac-elcapitan (1.08 MB, application/zip)
2017-12-06 08:19 PST, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-elcapitan-wk2 (168.05 KB, application/zip)
2017-12-06 08:28 PST, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (168.14 KB, application/zip)
2017-12-06 08:43 PST, Build Bot
no flags Details
Archive of layout-test-results from ews101 for mac-elcapitan (2.34 MB, application/zip)
2017-12-06 08:44 PST, Build Bot
no flags Details
Patch (WIP) (173.36 KB, patch)
2017-12-07 09:38 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-elcapitan (2.21 MB, application/zip)
2017-12-07 10:35 PST, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-elcapitan-wk2 (2.56 MB, application/zip)
2017-12-07 10:46 PST, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.16 MB, application/zip)
2017-12-07 11:01 PST, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-elcapitan (2.96 MB, application/zip)
2017-12-07 11:17 PST, Build Bot
no flags Details
Patch (206.47 KB, patch)
2017-12-07 11:32 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (203.56 KB, patch)
2017-12-07 12:50 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews105 for mac-elcapitan-wk2 (2.57 MB, application/zip)
2017-12-07 14:08 PST, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.22 MB, application/zip)
2017-12-07 14:13 PST, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-elcapitan (2.91 MB, application/zip)
2017-12-07 14:14 PST, Build Bot
no flags Details
Archive of layout-test-results from ews103 for mac-elcapitan (2.21 MB, application/zip)
2017-12-07 15:08 PST, Build Bot
no flags Details
Patch (206.73 KB, patch)
2017-12-08 05:56 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-elcapitan (2.14 MB, application/zip)
2017-12-08 06:52 PST, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.20 MB, application/zip)
2017-12-08 07:20 PST, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-elcapitan (2.89 MB, application/zip)
2017-12-08 07:29 PST, Build Bot
no flags Details
Patch (208.84 KB, patch)
2017-12-11 08:13 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch for landing (208.82 KB, patch)
2017-12-14 01:07 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2017-12-06 07:47:05 PST
.
Comment 1 Frédéric Wang (:fredw) 2017-12-06 07:48:09 PST
Created attachment 328566 [details]
WIP Patch
Comment 2 Ali Juma 2017-12-06 08:01:49 PST
Comment on attachment 328566 [details]
WIP Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=328566&action=review

> Source/WebCore/platform/graphics/GraphicsLayer.cpp:721
> +    if (!m_offsetFromRenderer.isEmpty())

It might be a good idea to make this conditional on a LayerTreeAsTextBehavior flag to avoid having to rebaseline a large number of existing tests.
Comment 3 Build Bot 2017-12-06 08:19:36 PST
Comment on attachment 328566 [details]
WIP Patch

Attachment 328566 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5515072

Number of test failures exceeded the failure limit.
Comment 4 Build Bot 2017-12-06 08:19:38 PST
Created attachment 328567 [details]
Archive of layout-test-results from ews116 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 5 Frédéric Wang (:fredw) 2017-12-06 08:23:34 PST
Comment on attachment 328566 [details]
WIP Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=328566&action=review

>> Source/WebCore/platform/graphics/GraphicsLayer.cpp:721
>> +    if (!m_offsetFromRenderer.isEmpty())
> 
> It might be a good idea to make this conditional on a LayerTreeAsTextBehavior flag to avoid having to rebaseline a large number of existing tests.

Maybe I was not sure.

In any case, the condition is wrong, it should isZero() not isEmpty().
Comment 6 Build Bot 2017-12-06 08:28:08 PST
Comment on attachment 328566 [details]
WIP Patch

Attachment 328566 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5515169

Number of test failures exceeded the failure limit.
Comment 7 Build Bot 2017-12-06 08:28:09 PST
Created attachment 328568 [details]
Archive of layout-test-results from ews107 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 8 Build Bot 2017-12-06 08:42:59 PST
Comment on attachment 328566 [details]
WIP Patch

Attachment 328566 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/5515191

Number of test failures exceeded the failure limit.
Comment 9 Build Bot 2017-12-06 08:43:00 PST
Created attachment 328571 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 10 Build Bot 2017-12-06 08:44:44 PST
Comment on attachment 328566 [details]
WIP Patch

Attachment 328566 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5515223

New failing tests:
compositing/geometry/bounds-ignores-hidden.html
compositing/layer-creation/overlap-animation-clipping.html
compositing/visible-rect/3d-transform-style.html
compositing/tiling/backface-preserve-3d-tiled.html
compositing/geometry/foreground-layer.html
compositing/geometry/bounds-ignores-hidden-composited-descendant.html
compositing/geometry/clip-inside.html
compositing/visible-rect/clipped-visible-rect.html
compositing/visible-rect/2d-transformed.html
compositing/images/clip-on-directly-composited-image.html
compositing/geometry/clip.html
compositing/backing/no-backing-for-clip-overlap.html
compositing/visible-rect/3d-transformed.html
compositing/visible-rect/animated-from-none.html
compositing/overflow/composited-scrolling-creates-a-stacking-container.html
compositing/visible-rect/nested-transform.html
compositing/geometry/bounds-ignores-hidden-dynamic.html
compositing/layer-creation/overlap-animation.html
compositing/visible-rect/coverage-clipped.html
compositing/layer-creation/fixed-position-under-transform.html
compositing/tiling/transform-origin-tiled.html
compositing/layer-creation/overlap-transforms.html
compositing/tiling/tiled-reflection-inwindow.html
compositing/tiling/rotated-tiled-clamped.html
compositing/tiling/tiled-mask-inwindow.html
compositing/tiling/rotated-tiled-preserve3d-clamped.html
compositing/overflow/clip-descendents.html
compositing/visible-rect/animated.html
compositing/backing/no-backing-for-clip.html
Comment 11 Build Bot 2017-12-06 08:44:45 PST
Created attachment 328572 [details]
Archive of layout-test-results from ews101 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 12 Frédéric Wang (:fredw) 2017-12-07 09:38:12 PST
Created attachment 328698 [details]
Patch (WIP)
Comment 13 Build Bot 2017-12-07 10:35:31 PST
Comment on attachment 328698 [details]
Patch (WIP)

Attachment 328698 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5530999

New failing tests:
compositing/tiling/transform-origin-tiled.html
compositing/visibility/visibility-image-layers-dynamic.html
compositing/tiling/tiled-mask-inwindow.html
compositing/tiling/rotated-tiled-preserve3d-clamped.html
compositing/repaint/iframes/composited-iframe-with-fixed-background-doc-repaint.html
compositing/repaint/iframes/compositing-iframe-scroll-repaint.html
compositing/tiling/rotated-tiled-clamped.html
compositing/tiling/tiled-reflection-inwindow.html
compositing/contents-opaque/control-layer.html
compositing/repaint/iframes/compositing-iframe-with-fixed-background-doc-repaint.html
Comment 14 Build Bot 2017-12-07 10:35:33 PST
Created attachment 328703 [details]
Archive of layout-test-results from ews101 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 15 Build Bot 2017-12-07 10:46:09 PST
Comment on attachment 328698 [details]
Patch (WIP)

Attachment 328698 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5531071

New failing tests:
compositing/tiling/tiled-mask-inwindow.html
compositing/contents-opaque/control-layer.html
compositing/visibility/visibility-image-layers-dynamic.html
compositing/repaint/iframes/composited-iframe-with-fixed-background-doc-repaint.html
compositing/tiling/tiled-reflection-inwindow.html
Comment 16 Build Bot 2017-12-07 10:46:10 PST
Created attachment 328705 [details]
Archive of layout-test-results from ews107 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 17 Build Bot 2017-12-07 11:01:53 PST
Comment on attachment 328698 [details]
Patch (WIP)

Attachment 328698 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/5531104

New failing tests:
compositing/ios/overflow-scroll-touch-tiles.html
compositing/tiling/tiled-mask-inwindow.html
compositing/visibility/visibility-image-layers-dynamic.html
compositing/tiling/tiled-reflection-inwindow.html
Comment 18 Build Bot 2017-12-07 11:01:54 PST
Created attachment 328707 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 19 Build Bot 2017-12-07 11:17:03 PST
Comment on attachment 328698 [details]
Patch (WIP)

Attachment 328698 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5531151

New failing tests:
compositing/tiling/transform-origin-tiled.html
compositing/visibility/visibility-image-layers-dynamic.html
compositing/tiling/tiled-mask-inwindow.html
compositing/tiling/rotated-tiled-preserve3d-clamped.html
compositing/repaint/iframes/composited-iframe-with-fixed-background-doc-repaint.html
compositing/repaint/iframes/compositing-iframe-scroll-repaint.html
compositing/tiling/rotated-tiled-clamped.html
compositing/tiling/tiled-reflection-inwindow.html
compositing/contents-opaque/control-layer.html
compositing/repaint/iframes/compositing-iframe-with-fixed-background-doc-repaint.html
Comment 20 Build Bot 2017-12-07 11:17:05 PST
Created attachment 328710 [details]
Archive of layout-test-results from ews117 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 21 Frédéric Wang (:fredw) 2017-12-07 11:32:50 PST
Created attachment 328712 [details]
Patch
Comment 22 zalan 2017-12-07 11:39:19 PST
Comment on attachment 328712 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=328712&action=review

> LayoutTests/compositing/ios/overflow-scroll-touch-tiles-expected.txt:47
> -  (bounds 800.00 897.00)
> +  (bounds 800.00 925.00)
>    (children 1
>      (GraphicsLayer
> -      (bounds 800.00 897.00)
> +      (bounds 800.00 925.00)
>        (contentsOpaque 1)

It looks like it's more than just debug info.

> LayoutTests/compositing/tiling/tiled-reflection-inwindow-expected.txt:63
> -  (bounds 913.00 1206.00)
> +  (bounds 913.00 1221.00)
>    (children 1
>      (GraphicsLayer
> -      (bounds 913.00 1206.00)
> +      (bounds 913.00 1221.00)

This too.

> LayoutTests/platform/ios-wk2/compositing/tiling/tiled-reflection-inwindow-expected.txt:63
> -  (bounds 913.00 1149.00)
> +  (bounds 913.00 1163.00)
>    (children 1
>      (GraphicsLayer
> -      (bounds 913.00 1149.00)
> +      (bounds 913.00 1163.00)

?

> LayoutTests/platform/mac-wk1/compositing/tiling/tiled-reflection-inwindow-expected.txt:59
> -  (bounds 913.00 1146.00)
> +  (bounds 913.00 1161.00)
>    (children 1
>      (GraphicsLayer
> -      (bounds 913.00 1146.00)
> +      (bounds 913.00 1161.00)

?
Comment 23 Frédéric Wang (:fredw) 2017-12-07 11:56:39 PST
Comment on attachment 328712 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=328712&action=review

>> LayoutTests/compositing/ios/overflow-scroll-touch-tiles-expected.txt:47
>>        (contentsOpaque 1)
> 
> It looks like it's more than just debug info.

Well, if you read the C++ change, it should definitely only be debug info. I guess these diffs came from another change unrelated to that patch.
Comment 24 Frédéric Wang (:fredw) 2017-12-07 12:50:25 PST
Created attachment 328719 [details]
Patch
Comment 25 Build Bot 2017-12-07 14:08:09 PST
Comment on attachment 328719 [details]
Patch

Attachment 328719 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5533648

New failing tests:
compositing/tiling/tiled-mask-inwindow.html
compositing/visibility/visibility-image-layers-dynamic.html
compositing/tiling/tiled-reflection-inwindow.html
Comment 26 Build Bot 2017-12-07 14:08:10 PST
Created attachment 328737 [details]
Archive of layout-test-results from ews105 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 27 Build Bot 2017-12-07 14:13:32 PST
Comment on attachment 328719 [details]
Patch

Attachment 328719 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/5533546

New failing tests:
compositing/ios/overflow-scroll-touch-tiles.html
compositing/tiling/tiled-mask-inwindow.html
compositing/visibility/visibility-image-layers-dynamic.html
compositing/tiling/tiled-reflection-inwindow.html
Comment 28 Build Bot 2017-12-07 14:13:33 PST
Created attachment 328738 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 29 Build Bot 2017-12-07 14:14:44 PST
Comment on attachment 328719 [details]
Patch

Attachment 328719 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5533540

New failing tests:
compositing/tiling/tiled-mask-inwindow.html
compositing/visibility/visibility-image-layers-dynamic.html
compositing/tiling/rotated-tiled-clamped.html
compositing/tiling/tiled-reflection-inwindow.html
Comment 30 Build Bot 2017-12-07 14:14:45 PST
Created attachment 328741 [details]
Archive of layout-test-results from ews115 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 31 Build Bot 2017-12-07 15:08:45 PST
Comment on attachment 328719 [details]
Patch

Attachment 328719 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5534503

New failing tests:
compositing/tiling/tiled-mask-inwindow.html
compositing/visibility/visibility-image-layers-dynamic.html
compositing/tiling/rotated-tiled-clamped.html
compositing/tiling/tiled-reflection-inwindow.html
Comment 32 Build Bot 2017-12-07 15:08:47 PST
Created attachment 328746 [details]
Archive of layout-test-results from ews103 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 33 Frédéric Wang (:fredw) 2017-12-08 05:56:02 PST
Created attachment 328807 [details]
Patch
Comment 34 Build Bot 2017-12-08 06:52:28 PST
Comment on attachment 328807 [details]
Patch

Attachment 328807 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5544823

New failing tests:
compositing/tiling/rotated-tiled-clamped.html
Comment 35 Build Bot 2017-12-08 06:52:29 PST
Created attachment 328812 [details]
Archive of layout-test-results from ews103 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 36 Build Bot 2017-12-08 07:20:08 PST
Comment on attachment 328807 [details]
Patch

Attachment 328807 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/5544861

New failing tests:
compositing/tiling/tiled-mask-inwindow.html
Comment 37 Build Bot 2017-12-08 07:20:10 PST
Created attachment 328813 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 38 Build Bot 2017-12-08 07:29:27 PST
Comment on attachment 328807 [details]
Patch

Attachment 328807 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5544851

New failing tests:
compositing/tiling/rotated-tiled-clamped.html
Comment 39 Build Bot 2017-12-08 07:29:29 PST
Created attachment 328814 [details]
Archive of layout-test-results from ews117 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 40 Frédéric Wang (:fredw) 2017-12-11 08:13:47 PST
Created attachment 328976 [details]
Patch
Comment 41 Antonio Gomes 2017-12-13 09:33:26 PST
(In reply to Frédéric Wang (:fredw) from comment #23)
> Comment on attachment 328712 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=328712&action=review
> 
> >> LayoutTests/compositing/ios/overflow-scroll-touch-tiles-expected.txt:47
> >>        (contentsOpaque 1)
> > 
> > It looks like it's more than just debug info.
> 
> Well, if you read the C++ change, it should definitely only be debug info. I
> guess these diffs came from another change unrelated to that patch.

Frederic added a reason for it in the ChangeLog.

In summary: "the text output is changed. This output is put in a <div>to appear in the dumped tree. However, that makes the corresponding graphics layer taller."
Comment 42 Frédéric Wang (:fredw) 2017-12-14 01:07:08 PST
Created attachment 329335 [details]
Patch for landing
Comment 43 WebKit Commit Bot 2017-12-14 01:40:05 PST
Comment on attachment 329335 [details]
Patch for landing

Clearing flags on attachment: 329335

Committed r225897: <https://trac.webkit.org/changeset/225897>
Comment 44 WebKit Commit Bot 2017-12-14 01:40:07 PST
All reviewed patches have been landed.  Closing bug.
Comment 45 Radar WebKit Bug Importer 2017-12-14 01:41:40 PST
<rdar://problem/36043897>